FROM golang:latest as build-stage
WORKDIR /go/src/
COPY src .

RUN go get gopkg.in/mgo.v2
RUN go get github.com/sirupsen/logrus
RUN go get github.com/spf13/viper

# Build describer
RUN CGO_ENABLED=0 GOOS=linux go build -ldflags="-s -w" -a -installsuffix cgo -o ddl-describer describer

FROM scratch as production-stage
WORKDIR /
COPY --from=build-stage /go/src/ddl-describer /bin/ddl-describer
COPY src/describer/describer.yml /etc/ddl/describer.yml

CMD ["ddl-describer"]
